<template>
  <svn-navbar-menu
    ref="navbarMenu"
    :variant="variant"
    :items="items"
  >
    <template #modal-content-body
      v-if="variant === 'modal'"
      class="flex flex-col gap-4"
    >
      <div class="flex flex-col gap-4 h-full">
        <div
          v-if="items?.length"
          v-for="(item, idx) in items"
        >
          <v-list-item
            v-if="item"
            :key="idx"
            class="!p-0 !min-h-0 w-fit"
            @click="redirect(item.to)"
          >
            <div class="flex flex-row gap-2 p-2">
              <Icon
                :icon="item?.icon"
                class="h-6 w-6"
                :class="[item?.class]"
              />
              <span>
                {{ item?.title }}
              </span>
            </div>
          </v-list-item>
          <v-list
            v-if="item.subItems.length"
            class="flex flex-col !p-2 gap-4 w-fit"
          >
            <v-list-item
              v-for="(subItem, idx) in item.subItems"
              :key="idx"
              class="text-sm !p-0 !min-h-0 font-medium"
              @click="redirect(subItem.to)"
            >
              {{subItem.title}}
            </v-list-item>
          </v-list>
        </div>
        <div class="grow"/>
        <div
         class="flex p-2 justify-center items-center gap-2"
        >
          <Icon
            icon="mdi:logout"
            class="text-negative-red h-4 w-4"
          />
          <span
            class="text-dark-grey text-sm"
          >
            Log out
          </span>
        </div>
      </div>
    </template>

  </svn-navbar-menu>
</template>

<script setup>
import SvnNavbarMenu from "@/components/navbar/SvnNavbarMenu.vue";
import { Icon } from "@iconify/vue";
import { ref } from "vue";

const navbarMenu = ref()
const props = defineProps({
  variant: { type: String, default: '' },
  items: { type: Array, default: () => [] },
})

const emit = defineEmits(['navigate'])

const redirect = (to) => {
  if (to) {
    window.location.href = to
    navbarMenu.value.modal.dialog = false
  }
}
</script>

<style scoped>

</style>